#pragma once

#include "message_bus/pipeline/PipelineContext.h"

namespace softbus::message_bus::pipeline::stages::framers
{

class IFramer
{
public:
    virtual ~IFramer() = default;
    virtual bool frame(softbus::message_bus::pipeline::PipelineContext& ctx) = 0;
};

} // namespace softbus::message_bus::pipeline::stages::framers
